Subject: Re: [PATCH 3/4] add-interactive: manually fall back color config to color.ui

From: Jeff King <[email-masked]>
Date: Mon, 8 Sep 2025 12:17:47 -0400

On Wed, Sep 03, 2025 at 09:23:33AM +0200, Patrick Steinhardt wrote:

> > It is tempting to teach want_color() to look up the value of
> > repo_config_get_value("color.ui") itself. But I think that would have
> > disastrous consequences. Plumbing commands, especially older ones, avoid
> > porcelain config like color. by simply not parsing it in their config
> 
> Is the "color." intended to refer to config keys starting with that
> string? If so it would help to quote it and maybe say "color.*".

I'm not sure if I meant "config like color" in the general sense, or
typo'd "color.*". Either way, what is there is indeed confusing. ;) I'll
fix it.

-Peff